'''
Store the optimal parameters for some SpartyJet analyses, found using TMVA.
Optimal parameters are specific to the Monte Carlo used.  For now only the
500-600 pT bin is implemented.
'''

from spartyjet.analyses.boost import *

OptimalParametersDict = {
  'herwig':   {CMS: {'deltap': 0.028, 'deltar': 0.13},
               HEP: {'max_subjet_mass': 54.0, 'mass_drop_threshold': 0.93},
               JohnsHopkins: {'deltap': 0.056, 'deltar': 0.31},
               Pruned: {'Dcut': 0.33, 'zcut': 0.056},
               Trimmed: {'Rsub': 0.19, 'pTFrac': 0.050}
              },
  'sherpa':   {CMS: {'deltap': 0.056, 'deltar': 0.47},
               HEP: {'max_subjet_mass': 37.0, 'mass_drop_threshold': 0.87},
               JohnsHopkins: {'deltap': 0.083, 'deltar': 0.35},
               Pruned: {'Dcut': 0.22, 'zcut': 0.056},
               Trimmed: {'Rsub': 0.28, 'pTFrac': 0.083}
              },
  'herwig++': {CMS: {'deltap': 0.028, 'deltar': 0.20},
               HEP: {'max_subjet_mass': 46.0, 'mass_drop_threshold': 1.0},
               JohnsHopkins: {'deltap': 0.083, 'deltar': 0.19},
               Pruned: {'Dcut': 0.33, 'zcut': 0.056},
               Trimmed: {'Rsub': 0.28, 'pTFrac': 0.050}
              }
} 
